This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 731972 - (cab) Review Request: cab - Haskell Cabal package maintenance program
Review Request: cab - Haskell Cabal package maintenance program
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 648093 ghc-attoparsec-enum
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2011-08-19 06:13 EDT by Jens Petersen
Modified: 2011-10-09 15:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: cab-0.1.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-09 02:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-08-19 06:13:51 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/cab/cab.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/cab/cab-0.1.5-1.fc15.src.rpm
Description:
A helper program to use Cabal, ghc-pkg, cabal-install, and cabal-dev
from one consistent command.
Comment 2 Narasimhan 2011-09-27 15:04:24 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i *.rpm ../cab.spec 
cab.i686: W: spelling-error %description -l en_US ghc -> chg
The value of this tag appears to be misspelled. Please double-check.

cab.i686: W: no-manual-page-for-binary cab
Each executable in standard binary directories should have a man page.

cab.src: W: spelling-error %description -l en_US ghc -> chg
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, none available

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum cab-0.1.6-1.fc15.src/cab-0.1.6.tar.gz 
2b595a8413e31a7d34cfd10761caa636  cab-0.1.6-1.fc15.src/cab-0.1.6.tar.gz

md5sum cab-0.1.6.tar.gz 
2b595a8413e31a7d34cfd10761caa636  cab-0.1.6.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[NA]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. No issues.Ran the program "cab". No issues.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.


APPROVED.
Comment 3 Narasimhan 2011-09-28 01:18:13 EDT
Mail sent to upstream requesting them to include license header in each of the source files.
Comment 4 Jens Petersen 2011-09-28 02:02:25 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: cab
Short Description: Haskell cabal wrapper program
Owners: petersen
Branches: f14 f15 f16
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2011-09-28 07:59:07 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2011-09-29 06:56:05 EDT
Built for rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=3388004
Comment 7 Fedora Update System 2011-09-30 03:16:43 EDT
cab-0.1.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cab-0.1.6-1.fc15
Comment 8 Fedora Update System 2011-09-30 03:16:52 EDT
cab-0.1.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cab-0.1.6-1.fc14
Comment 9 Fedora Update System 2011-09-30 03:17:11 EDT
cab-0.1.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cab-0.1.6-1.fc16
Comment 10 Fedora Update System 2011-09-30 14:47:23 EDT
cab-0.1.6-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2011-10-09 02:50:43 EDT
cab-0.1.6-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-10-09 02:53:54 EDT
cab-0.1.6-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 13 Fedora Update System 2011-10-09 15:38:50 EDT
cab-0.1.6-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.